MEINPROC4(8)

NAME
meinproc4 - Traduttore per XML di KDE

SINTASSI

meinproc4 [--help] [opzioni_generiche] [opzioni_Qt] [opzioni_KDE] [--cache file] [--check] [--htdig] [--srcdir] [--param chiave=valore] [[[-o] | [--output]]file] [--stdout] [--stylesheet xsl] file_docbook

DESCRIZIONE

meinproc4 converte i file DocBook in HTML.

OPZIONI GENERICHE

--author
    Mostra le informazioni sull'autore.

--help
    Mostra la guida sulle opzioni.

--help-all
    Mostra tutte le opzioni.

--help-kde
    Mostra le opzioni specifiche per KDE.

--help-qt
    Mostra le opzioni specifiche per Qt(TM).

--license
    Mostra le informazioni sulla licenza.

-v--version
    Mostra le informazioni sulla versione.

OPZIONI DELL'APPLICAZIONE

--cache file
    Crea un file di cache per il documento

--check
    Controlla la validità del documento

        L'output può essere un po' confuso, perché un errorino può causare una cascata di errori.
        Il trucco è cercare il primo errore, correggerlo, salvare il file, e far ripartire meinproc4.

--htdig
    Crea un indice compatibile con ht://dig

-o, --output file
    Metti l'intero documento su file.

--stdout
    Metti l'intero documento sul flusso stdout.

--stylesheet xsl
    Foglio di stile da usare

--srcdir cartella
    Imposta la cartella radice in cui cercare kdelibs

--param chiave=valore
    Imposta i parametri da passare al foglio di stile.

USO

Il modo più comune di eseguire meinproc4 è semplicemente come

    meinproc4 file_docbook

dove file_docbook è di solito index.docbook. Questo comando crea pagine HTML dal file DocBook. Nota che queste pagine sono visibili solo in browser basati su KDE (come Konqueror).

Se devi vedere il risultato HTML in un altro browser (per esempio, se lo metti in rete), usa

    meinproc4 --stylesheet nome_foglio_di_stile file_docbook

where nome_foglio_di_stile è il percorso completo a uno dei fogli di stile XSL in $KDEDIR/share/apps/ksgmltools/customization. Per produrre documenti adatti al Web, puoi usare kde-web.xsl o kde-chunk-online.xsl. Vedi il file README in quella cartella per maggiori dettagli.

VEDI ANCHE

kdeoptions(7), qtoptions(7)

ERRORI

Probabilmente ce ne sono a bizzeffe. Usa bugs.kde.org[1] per segnalarli.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org